{% extends "base_new.html" %}
{% load static %}

{% block css %}
<link rel="stylesheet" href="{% static 'mahasiswa/css/page__vacancy-detail.css' %}">
{% endblock %}

{% block main %}
<div class="container page__container">
    <div class="row page__header mb-4">
        <div class="col-auto d-flex align-items-center">
            <a href="{% url 'mahasiswa:vacancy' %}"><i class="icon icon-arrow-left"></i> </a>
        </div>
        <div class="col">
            <h1 class="page__title">
                Detail Lowongan
            </h1>
        </div>
    </div>
    <div class="row page__body">
        <div class="container">
            <div class="row mb-4">
                <div class="col p-4 bg-white box-rounded box-shadow">
                    <img class="logo logo-large mb-4" src="https://picsum.photos/300" alt="company-logo">

                    <h2>
                        {{ vacancy.position }}
                    </h2>
                    <h6 class="text-muted">
                        {{ vacancy.perusahaan.name }} - {{ vacancy.location }}
                    </h6>
{#                    <a href="?applying=true" class="btn btn-primary btn-flat mt-4">#}
{#                        Apply#}
{#                    </a>#}
                </div>
            </div>
            {% if request.GET.applying == "true" %}
            <div class="row mb-4">
                <form class="col p-4 bg-white box-rounded box-shadow">
                    <div>
                        Apakah yakin ingin melamar pada lowongan ini?
                    </div>
                    <button type="submit" class="btn btn-primary btn-flat mt-4">
                        Yes
                    </button>
                    <a href="?applying=false" class="btn btn-outline-danger btn-flat mt-4">
                        Cancel
                    </a>
                </form>
            </div>
            {% endif %}
            <div class="row">
                <div class="col p-4 bg-white box-rounded box-shadow">
                    <h4>
                        Job Description
                    </h4>
                    <p>
                        {{ vacancy.description }}
                    </p>
                </div>
            </div>
        </div>
    </div>
</div>
</div>
{% endblock %}